r464 - vdr/vdr-plugin-mp3/trunk/debian
Thomas Schmidt
pkg-vdr-dvb-changes@lists.alioth.debian.org
Sat, 16 Apr 2005 12:58:40 +0000
Author: tschmidt
Date: 2005-04-16 12:58:40 +0000 (Sat, 16 Apr 2005)
New Revision: 464
Added:
vdr/vdr-plugin-mp3/trunk/debian/mount.sh
Modified:
vdr/vdr-plugin-mp3/trunk/debian/changelog
vdr/vdr-plugin-mp3/trunk/debian/rules
vdr/vdr-plugin-mp3/trunk/debian/vdr-plugin-mp3.install
Log:
vdr-plugin-mplayer: Use mount.sh from vdr-plugin-image
Modified: vdr/vdr-plugin-mp3/trunk/debian/changelog
===================================================================
--- vdr/vdr-plugin-mp3/trunk/debian/changelog 2005-04-16 12:27:12 UTC (rev 463)
+++ vdr/vdr-plugin-mp3/trunk/debian/changelog 2005-04-16 12:58:40 UTC (rev 464)
@@ -5,6 +5,7 @@
* Thomas Schmidt <tschmidt@debian.org>
- Depend/Build-Depend on vdr (>=1.3.23-1)
- Conflict with vdr (>=1.3.24)
+ - Use updated mount.sh script from the image plugin
- Removed .dependencies from the source tree
- debian/rules: use patchlevel.sh subst instead of the old code
Added: vdr/vdr-plugin-mp3/trunk/debian/mount.sh
===================================================================
--- vdr/vdr-plugin-mp3/trunk/debian/mount.sh 2005-04-16 12:27:12 UTC (rev 463)
+++ vdr/vdr-plugin-mp3/trunk/debian/mount.sh 2005-04-16 12:58:40 UTC (rev 464)
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# This script is called from VDR to mount/unmount/eject
+# the sources for MP3 play and/or image sources,
+#
+# argument 1: wanted action, one of mount,unmount,eject,status
+# argument 2: mountpoint to act on
+#
+# mount,unmount,eject must return 0 if succeeded, 1 if failed
+# status must return 0 if device is mounted, 1 if not
+#
+# ok -> changed mount to not abort, if eject -t did fail, e.g. for a usb storage device
+
+action="$1"
+path="$2"
+
+case "$action" in
+mount)
+ eject -t "$path" &>/dev/null # close the tray, but not do/print anything if that fails
+ mount "$path" || exit 1 # mount it
+ ;;
+unmount)
+ umount "$path" || exit 1 # unmount it
+ ;;
+eject)
+ eject "$path" || exit 1 # eject disk
+ ;;
+status)
+ cat /proc/mounts | grep -q "$path" # check if mounted
+ if [ $? -ne 0 ]; then # not mounted ...
+ exit 1
+ fi
+esac
+
+exit 0
Property changes on: vdr/vdr-plugin-mp3/trunk/debian/mount.sh
___________________________________________________________________
Name: svn:executable
+ *
Modified: vdr/vdr-plugin-mp3/trunk/debian/rules
===================================================================
--- vdr/vdr-plugin-mp3/trunk/debian/rules 2005-04-16 12:27:12 UTC (rev 463)
+++ vdr/vdr-plugin-mp3/trunk/debian/rules 2005-04-16 12:58:40 UTC (rev 464)
@@ -61,8 +61,8 @@
# install mount.sh and mp3sources.conf
cp $(CURDIR)/examples/mp3sources.conf.example $(CURDIR)/debian/$(PACKAGE)/etc/vdr/plugins/mp3sources.conf
- cp $(CURDIR)/examples/mount.sh.example $(CURDIR)/debian/$(PACKAGE)/usr/lib/$(PACKAGE)/mount.sh
- chmod ugo+x $(CURDIR)/debian/$(PACKAGE)/usr/lib/$(PACKAGE)/mount.sh
+ #cp $(CURDIR)/examples/mount.sh.example $(CURDIR)/debian/$(PACKAGE)/usr/lib/$(PACKAGE)/mount.sh
+ #chmod ugo+x $(CURDIR)/debian/$(PACKAGE)/usr/lib/$(PACKAGE)/mount.sh
# Build architecture-independent files here.
binary-indep: build install
Modified: vdr/vdr-plugin-mp3/trunk/debian/vdr-plugin-mp3.install
===================================================================
--- vdr/vdr-plugin-mp3/trunk/debian/vdr-plugin-mp3.install 2005-04-16 12:27:12 UTC (rev 463)
+++ vdr/vdr-plugin-mp3/trunk/debian/vdr-plugin-mp3.install 2005-04-16 12:58:40 UTC (rev 464)
@@ -1 +1,3 @@
libvdr-mp3.so.* usr/lib/vdr/plugins
+
+debian/mount.sh usr/lib/vdr-plugin-mp3